> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Numbers

> Get list of Numbers purchased



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /assistants/v1/numbers
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /assistants/v1/numbers:
    get:
      tags:
        - Phone Numbers
      summary: List Numbers
      description: Get list of Numbers purchased
      operationId: listNumbers
      parameters:
        - name: label
          in: query
          required: false
          description: Filter numbers by label
          example: my-number
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the list of numbers.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Number'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Failed to retrieve numbers
                  error:
                    type: string
                    example: INTERNAL_ERROR
      security:
        - bearer: []
components:
  schemas:
    Number:
      type: object
      required:
        - _id
        - teamId
        - number
        - provider
      properties:
        _id:
          type: string
          format: objectId
          description: Unique identifier of the number
          example: a12f9c88-c155-461f-9771-4d240cdc9a04
        teamId:
          type: string
          format: objectId
          description: This is unique identifier of the team.
          example: 1f7b1b1b1b1b1b1b1b1b1b1b
        number:
          type: string
          description: Phone number associated with the team
          example: '+1234567890'
        provider:
          type: object
          properties:
            name:
              type: string
              description: Name of the provider
              example: twilio
        assistantId:
          type: string
          description: ID of the associated assistant (if any)
          example: a12f9c88-c155-461f-9771-4d240cdc9a04
        inboundEnabled:
          type: boolean
          description: >-
            If true, inbound call is enabled. If false, inbound call is
            disabled.
          example: true
        outboundEnabled:
          type: boolean
          description: >-
            If true, outbound call is enabled. If false, outbound call is
            disabled.
          example: true
        label:
          type: string
          description: Label for the number
          example: friendly-name-1
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````